Bug 53475 - SLURPD not Replicating Because UNIX time greater than 999,999,999
SLURPD not Replicating Because UNIX time greater than 999,999,999
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-09-10 00:37 EDT by Garry Thomas
Modified: 2007-04-18 12:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-24 00:04:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Minimal billion-second fix for 2.0.11 slurpd (from OpenLDAP cvs) (4.63 KB, patch)
2001-09-28 14:13 EDT, Thais Smith
no flags Details | Diff

  None (edit)
Description Garry Thomas 2001-09-10 00:37:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Replication task that have a time stamp of greater that 1 Billion in Unix 
time are ignored by SLURPD with a debug message of old. I refer you to 
OpenLDAP case ITS#1324, and CVS patches to fix this.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Using proper time, SLURPD doesn't work
2.Put CPU time back 1 year (ie less than 1 Billion)
3.SLURPD now works.

Additional info:

I have temporary work around of setting clock on LDAP master back one 
year, but this effect other things (like time stamps on email etc)
Comment 1 Bert de Bruijn 2001-09-11 08:45:55 EDT
According to http://www.openldap.org/lists/openldap-bugs/200109/msg00060.html 
OpenLDAP version 2.0.14 includes the fix.
Comment 2 Ramses Smeyers 2001-09-11 14:18:41 EDT
same problems at my system, I'm using RedHat 6.2 systems
will there be any updates ? time frame ?, we have productions systems which NEED
fail over capability ....
Comment 3 Bert de Bruijn 2001-09-12 12:19:34 EDT
I've dropped the openldap-2.0.14 source in the roswell openldap rpm, and I'm
running that on a redhat-7.1 server (libtool,automake / cyrus-sasl from roswell
are required to build / run it).

The source rpm is available from
Comment 4 Thais Smith 2001-09-28 14:13:18 EDT
Created attachment 32918 [details]
Minimal billion-second fix for 2.0.11 slurpd (from OpenLDAP cvs)
Comment 5 Bert de Bruijn 2002-01-26 21:28:54 EST
status=resolved now, since there is now an openldap update for redhat 7.x,
version 2.0.21-1.

Note You need to log in before you can comment on or make changes to this bug.